package com.iotechn.unimall.admin.api.card;


import com.iotechn.unimall.data.domain.CardHolderInfo;
import com.iotechn.unimall.core.annotation.HttpMethod;
import com.iotechn.unimall.core.annotation.HttpOpenApi;
import com.iotechn.unimall.core.annotation.HttpParam;
import com.iotechn.unimall.core.annotation.HttpParamType;
import com.iotechn.unimall.core.annotation.param.NotNull;
import com.iotechn.unimall.core.exception.ServiceException;
import com.iotechn.unimall.data.model.Page;
import java.util.Date;

/**
 * 名片夹Service接口
 * 
 * @author jlb
 * @date 2023-04-10
 */
@HttpOpenApi(group = "admin.unimall.cardHolderInfo", description = "名片夹")
public interface ICardHolderInfoService{
	@HttpMethod(description = "新增",  permissionName = "名片夹管理")
	public Boolean add(@NotNull @HttpParam(name = "cardHolderInfo", type = HttpParamType.COMMON, description = "名片夹") CardHolderInfo cardHolderInfo)throws ServiceException;

	@HttpMethod(description = "列表",  permissionName = "名片夹管理")
	public Page<CardHolderInfo> list(
								@HttpParam(name = "commonId", type = HttpParamType.COMMON, description = "个人id") Long commonId,
							@HttpParam(name = "cardId", type = HttpParamType.COMMON, description = "名片id") String cardId,
										@HttpParam(name = "classify", type = HttpParamType.COMMON, description = "客户分类") String classify,
							@HttpParam(name = "gmtCreate", type = HttpParamType.COMMON, description = "") Date gmtCreate,
							@HttpParam(name = "gmtUpdate", type = HttpParamType.COMMON, description = "") Date gmtUpdate,
							@HttpParam(name = "deleteFlag", type = HttpParamType.COMMON, description = "删除标识") Long deleteFlag,
					@HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
		@HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit)
		throws ServiceException;

	@HttpMethod(description = "删除", permissionName = "名片夹管理")
	public Boolean delete(@NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "")String id)throws ServiceException;

	@HttpMethod(description = "修改",  permissionName = "名片夹管理")
	public Boolean update(@NotNull @HttpParam(name = "cardHolderInfo", type = HttpParamType.COMMON, description = "名片夹") CardHolderInfo cardHolderInfo)throws ServiceException;

	@HttpMethod(description = "查询", permissionName = "名片夹管理")
	public CardHolderInfo get(@NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "")Long id)throws ServiceException;
	
	@HttpMethod(description = "导出excl表", permissionName = "名片夹管理")
	public String export(
								@HttpParam(name = "commonId", type = HttpParamType.COMMON, description = "个人id") Long commonId,
							@HttpParam(name = "cardId", type = HttpParamType.COMMON, description = "名片id") String cardId,
										@HttpParam(name = "classify", type = HttpParamType.COMMON, description = "客户分类") String classify,
							@HttpParam(name = "gmtCreate", type = HttpParamType.COMMON, description = "") Date gmtCreate,
							@HttpParam(name = "gmtUpdate", type = HttpParamType.COMMON, description = "") Date gmtUpdate,
							@HttpParam(name = "deleteFlag", type = HttpParamType.COMMON, description = "删除标识") Long deleteFlag,
				@HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
	@HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit)throws ServiceException;
	
}
