package com.iotechn.unimall.admin.api.card;


import com.iotechn.unimall.data.domain.CardManagementInfo;
import com.iotechn.unimall.core.annotation.HttpMethod;
import com.iotechn.unimall.core.annotation.HttpOpenApi;
import com.iotechn.unimall.core.annotation.HttpParam;
import com.iotechn.unimall.core.annotation.HttpParamType;
import com.iotechn.unimall.core.annotation.param.NotNull;
import com.iotechn.unimall.core.exception.ServiceException;
import com.iotechn.unimall.data.model.Page;
import java.util.Date;

/**
 * 名片管理Service接口
 * 
 * @author jlb
 * @date 2023-04-10
 */
@HttpOpenApi(group = "admin.unimall.cardManagementInfo", description = "名片管理")
public interface ICardManagementInfoService{
	@HttpMethod(description = "新增",  permissionName = "名片管理管理")
	public Boolean add(@NotNull @HttpParam(name = "cardManagementInfo", type = HttpParamType.COMMON, description = "名片管理") CardManagementInfo cardManagementInfo)throws ServiceException;

	@HttpMethod(description = "列表",  permissionName = "名片管理管理")
	public Page<CardManagementInfo> list(
								@HttpParam(name = "commonId", type = HttpParamType.COMMON, description = "个人id") Long commonId,
							@HttpParam(name = "cardBusiness", type = HttpParamType.COMMON, description = "名片标识") String cardBusiness,
							@HttpParam(name = "name", type = HttpParamType.COMMON, description = "姓名") String name,
							@HttpParam(name = "post", type = HttpParamType.COMMON, description = "职务") String post,
							@HttpParam(name = "companyName", type = HttpParamType.COMMON, description = "公司名") String companyName,
							@HttpParam(name = "location", type = HttpParamType.COMMON, description = "定位") String location,
							@HttpParam(name = "detailedAddress", type = HttpParamType.COMMON, description = "详细地址") String detailedAddress,
							@HttpParam(name = "phone", type = HttpParamType.COMMON, description = "联系电话") String phone,
							@HttpParam(name = "headSculpture", type = HttpParamType.COMMON, description = "头像") String headSculpture,
							@HttpParam(name = "qrCode", type = HttpParamType.COMMON, description = "二维码") String qrCode,
							@HttpParam(name = "gmtCreate", type = HttpParamType.COMMON, description = "") Date gmtCreate,
							@HttpParam(name = "gmtUpdate", type = HttpParamType.COMMON, description = "") Date gmtUpdate,
							@HttpParam(name = "deleteFlag", type = HttpParamType.COMMON, description = "删除标识") Long deleteFlag,
					@HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
		@HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit)
		throws ServiceException;

	@HttpMethod(description = "删除",  permissionName = "名片管理管理")
	public Boolean delete(@NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "")String id,
						@HttpParam(name = "deleteCondition", type = HttpParamType.COMMON, description = "删除条件") String deleteCondition)throws ServiceException;

	@HttpMethod(description = "修改",  permissionName = "名片管理管理")
	public Boolean update(@NotNull @HttpParam(name = "cardManagementInfo", type = HttpParamType.COMMON, description = "名片管理") CardManagementInfo cardManagementInfo)throws ServiceException;

	@HttpMethod(description = "置顶",  permissionName = "名片管理管理")
	public Boolean top(@NotNull @HttpParam(name = "cardManagementInfo", type = HttpParamType.COMMON, description = "名片管理") CardManagementInfo cardManagementInfo)throws ServiceException;

	@HttpMethod(description = "查询", permissionName = "名片管理管理")
	public CardManagementInfo get(@NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "")Long id)throws ServiceException;
	
	@HttpMethod(description = "导出excl表", permissionName = "名片管理管理")
	public String export(
								@HttpParam(name = "commonId", type = HttpParamType.COMMON, description = "个人id") Long commonId,
							@HttpParam(name = "cardBusiness", type = HttpParamType.COMMON, description = "名片标识") String cardBusiness,
							@HttpParam(name = "name", type = HttpParamType.COMMON, description = "姓名") String name,
							@HttpParam(name = "post", type = HttpParamType.COMMON, description = "职务") String post,
							@HttpParam(name = "companyName", type = HttpParamType.COMMON, description = "公司名") String companyName,
							@HttpParam(name = "location", type = HttpParamType.COMMON, description = "定位") String location,
							@HttpParam(name = "detailedAddress", type = HttpParamType.COMMON, description = "详细地址") String detailedAddress,
							@HttpParam(name = "phone", type = HttpParamType.COMMON, description = "联系电话") String phone,
							@HttpParam(name = "headSculpture", type = HttpParamType.COMMON, description = "头像") String headSculpture,
							@HttpParam(name = "qrCode", type = HttpParamType.COMMON, description = "二维码") String qrCode,
							@HttpParam(name = "gmtCreate", type = HttpParamType.COMMON, description = "") Date gmtCreate,
							@HttpParam(name = "gmtUpdate", type = HttpParamType.COMMON, description = "") Date gmtUpdate,
							@HttpParam(name = "deleteFlag", type = HttpParamType.COMMON, description = "删除标识") Long deleteFlag,
				@HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
	@HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit)throws ServiceException;
	
}
