package com.iotechn.unimall.admin.api.card;


import com.iotechn.unimall.data.domain.CertificateManagementInfo;
import com.iotechn.unimall.core.annotation.HttpMethod;
import com.iotechn.unimall.core.annotation.HttpOpenApi;
import com.iotechn.unimall.core.annotation.HttpParam;
import com.iotechn.unimall.core.annotation.HttpParamType;
import com.iotechn.unimall.core.annotation.param.NotNull;
import com.iotechn.unimall.core.exception.ServiceException;
import com.iotechn.unimall.data.dto.DistinguishView;
import com.iotechn.unimall.data.model.Page;
import java.util.Date;

/**
 * 证件管理Service接口
 * 
 * @author jlb
 * @date 2023-04-10
 */
@HttpOpenApi(group = "admin.unimall.certificateManagementInfo", description = "证件管理")
public interface ICertificateManagementInfoService{
	@HttpMethod(description = "新增", permissionName = "证件管理管理")
	public Boolean add(@NotNull @HttpParam(name = "certificateManagementInfo", type = HttpParamType.COMMON, description = "证件管理") CertificateManagementInfo certificateManagementInfo)throws ServiceException;

	@HttpMethod(description = "列表",  permissionName = "证件管理管理")
	public Page<CertificateManagementInfo> list(
								@HttpParam(name = "commonId", type = HttpParamType.COMMON, description = "个人id") Long commonId,
							@HttpParam(name = "certificateName", type = HttpParamType.COMMON, description = "证件名称") String certificateName,
							@HttpParam(name = "certificateImage", type = HttpParamType.COMMON, description = "证件图") String certificateImage,
							@HttpParam(name = "gmtCreate", type = HttpParamType.COMMON, description = "") Date gmtCreate,
							@HttpParam(name = "gmtUpdate", type = HttpParamType.COMMON, description = "") Date gmtUpdate,
							@HttpParam(name = "deleteFlag", type = HttpParamType.COMMON, description = "删除标识") Long deleteFlag,
					@HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
		@HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit)
		throws ServiceException;

	@HttpMethod(description = "删除", permissionName = "证件管理管理")
	public Boolean delete(@NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "")String id)throws ServiceException;

	@HttpMethod(description = "修改",  permissionName = "证件管理管理")
	public Boolean update(@NotNull @HttpParam(name = "certificateManagementInfo", type = HttpParamType.COMMON, description = "证件管理") CertificateManagementInfo certificateManagementInfo)throws ServiceException;

	@HttpMethod(description = "查询",  permissionName = "证件管理管理")
	public CertificateManagementInfo get(@NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "")Long id)throws ServiceException;

	@HttpMethod(description = "识别身份证",  permissionName = "证件管理管理")
	public DistinguishView personShibie(@HttpParam(name = "certificateImage", type = HttpParamType.COMMON, description = "证件图") String certificateImage)throws ServiceException;

	@HttpMethod(description = "识别银行卡",  permissionName = "证件管理管理")
	public DistinguishView bankShibie(@HttpParam(name = "certificateImage", type = HttpParamType.COMMON, description = "证件图") String certificateImage)throws ServiceException;

	@HttpMethod(description = "导出excl表", permissionName = "证件管理管理")
	public String export(
								@HttpParam(name = "commonId", type = HttpParamType.COMMON, description = "个人id") Long commonId,
							@HttpParam(name = "certificateName", type = HttpParamType.COMMON, description = "证件名称") String certificateName,
							@HttpParam(name = "certificateImage", type = HttpParamType.COMMON, description = "证件图") String certificateImage,
							@HttpParam(name = "gmtCreate", type = HttpParamType.COMMON, description = "") Date gmtCreate,
							@HttpParam(name = "gmtUpdate", type = HttpParamType.COMMON, description = "") Date gmtUpdate,
							@HttpParam(name = "deleteFlag", type = HttpParamType.COMMON, description = "删除标识") Long deleteFlag,
				@HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
	@HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit)throws ServiceException;
	
}
