package com.iotechn.unimall.admin.api.card;


import com.iotechn.unimall.data.domain.CardManagementInfo;
import com.iotechn.unimall.data.domain.CircleManagementInfo;
import com.iotechn.unimall.core.annotation.HttpMethod;
import com.iotechn.unimall.core.annotation.HttpOpenApi;
import com.iotechn.unimall.core.annotation.HttpParam;
import com.iotechn.unimall.core.annotation.HttpParamType;
import com.iotechn.unimall.core.annotation.param.NotNull;
import com.iotechn.unimall.core.exception.ServiceException;
import com.iotechn.unimall.data.model.Page;
import java.util.Date;

/**
 * 圈子管理Service接口
 * 
 * @author jlb
 * @date 2023-04-10
 */
@HttpOpenApi(group = "admin.unimall.circleManagementInfo", description = "圈子管理")
public interface ICircleManagementInfoService{
	@HttpMethod(description = "新增",  permissionName = "圈子管理管理")
	public Boolean add(@NotNull @HttpParam(name = "circleManagementInfo", type = HttpParamType.COMMON, description = "圈子管理") CircleManagementInfo circleManagementInfo)throws ServiceException;

	@HttpMethod(description = "列表",  permissionName = "圈子管理管理")
	public Page<CircleManagementInfo> list(
								@HttpParam(name = "commonId", type = HttpParamType.COMMON, description = "个人id") Long commonId,
							@HttpParam(name = "circleName", type = HttpParamType.COMMON, description = "圈子名称") String circleName,
							@HttpParam(name = "circleLabel", type = HttpParamType.COMMON, description = "圈子标签") String circleLabel,
							@HttpParam(name = "status", type = HttpParamType.COMMON, description = "0未审核 1已通过") Long status,
							@HttpParam(name = "gmtCreate", type = HttpParamType.COMMON, description = "") Date gmtCreate,
							@HttpParam(name = "gmtUpdate", type = HttpParamType.COMMON, description = "") Date gmtUpdate,
							@HttpParam(name = "deleteFlag", type = HttpParamType.COMMON, description = "删除标识") Long deleteFlag,
					@HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
		@HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit)
		throws ServiceException;

	@HttpMethod(description = "删除",  permissionName = "圈子管理管理")
	public Boolean delete(@NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "")String id)throws ServiceException;

	@HttpMethod(description = "修改",  permissionName = "圈子管理管理")
	public Boolean update(@NotNull @HttpParam(name = "circleManagementInfo", type = HttpParamType.COMMON, description = "圈子管理") CircleManagementInfo circleManagementInfo)throws ServiceException;

	@HttpMethod(description = "查询",  permissionName = "圈子管理管理")
	public CircleManagementInfo get(@NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "")Long id,
									@HttpParam(name = "commonId", type = HttpParamType.COMMON, description = "个人id") Long commonId)throws ServiceException;

	@HttpMethod(description = "圈子详情名片列表",  permissionName = "圈子管理管理")
	public Page<CardManagementInfo> circleCardlist(
			@HttpParam(name = "commonId", type = HttpParamType.COMMON, description = "个人id") Long commonId,
			@HttpParam(name = "id", type = HttpParamType.COMMON, description = "")Long id,
			@HttpParam(name = "status", type = HttpParamType.COMMON, description = " 1已交换 2未交换") String status,
			@HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
			@HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit)
			throws ServiceException;

	@HttpMethod(description = "导出excl表",  permissionName = "圈子管理管理")
	public String export(
								@HttpParam(name = "commonId", type = HttpParamType.COMMON, description = "个人id") Long commonId,
							@HttpParam(name = "circleName", type = HttpParamType.COMMON, description = "圈子名称") String circleName,
							@HttpParam(name = "circleLabel", type = HttpParamType.COMMON, description = "圈子标签") String circleLabel,
							@HttpParam(name = "status", type = HttpParamType.COMMON, description = "0未审核 1已通过") Long status,
							@HttpParam(name = "gmtCreate", type = HttpParamType.COMMON, description = "") Date gmtCreate,
							@HttpParam(name = "gmtUpdate", type = HttpParamType.COMMON, description = "") Date gmtUpdate,
							@HttpParam(name = "deleteFlag", type = HttpParamType.COMMON, description = "删除标识") Long deleteFlag,
				@HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
	@HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit)throws ServiceException;
	
}
