package com.iotechn.unimall.admin.api.card;


import com.iotechn.unimall.data.domain.CommonUserInfo;
import com.iotechn.unimall.core.annotation.HttpMethod;
import com.iotechn.unimall.core.annotation.HttpOpenApi;
import com.iotechn.unimall.core.annotation.HttpParam;
import com.iotechn.unimall.core.annotation.HttpParamType;
import com.iotechn.unimall.core.annotation.param.NotNull;
import com.iotechn.unimall.core.exception.ServiceException;
import com.iotechn.unimall.data.model.Page;
import java.util.Date;

/**
 * 用户管理Service接口
 * 
 * @author jlb
 * @date 2023-04-10
 */
@HttpOpenApi(group = "admin.unimall.commonUserInfo", description = "用户管理")
public interface ICommonUserInfoService{
	@HttpMethod(description = "新增",  permissionName = "用户管理管理")
	public Boolean add(@NotNull @HttpParam(name = "commonUserInfo", type = HttpParamType.COMMON, description = "用户管理") CommonUserInfo commonUserInfo)throws ServiceException;

	@HttpMethod(description = "列表",  permissionName = "用户管理管理")
	public Page<CommonUserInfo> list(
								@HttpParam(name = "nickname", type = HttpParamType.COMMON, description = "昵称") String nickname,
							@HttpParam(name = "password", type = HttpParamType.COMMON, description = "密码") String password,
							@HttpParam(name = "phone", type = HttpParamType.COMMON, description = "手机号") String phone,
							@HttpParam(name = "realname", type = HttpParamType.COMMON, description = "真实姓名") String realname,
							@HttpParam(name = "shareCard", type = HttpParamType.COMMON, description = "允许他人分享名片(1允许)") Long shareCard,
							@HttpParam(name = "lookPage", type = HttpParamType.COMMON, description = "允许圈子成员查看主页(1允许)") Long lookPage,
							@HttpParam(name = "autoAccept", type = HttpParamType.COMMON, description = "自动接受邀请(1是)") Long autoAccept,
							@HttpParam(name = "status", type = HttpParamType.COMMON, description = "0.冻结 1.激活") Long status,
							@HttpParam(name = "gmtCreate", type = HttpParamType.COMMON, description = "") Date gmtCreate,
							@HttpParam(name = "gmtUpdate", type = HttpParamType.COMMON, description = "") Date gmtUpdate,
							@HttpParam(name = "deleteFlag", type = HttpParamType.COMMON, description = "删除标识") Long deleteFlag,
					@HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
		@HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit)
		throws ServiceException;

	@HttpMethod(description = "删除", permissionName = "用户管理管理")
	public Boolean delete(@NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "")String id)throws ServiceException;

	@HttpMethod(description = "修改",  permissionName = "用户管理管理")
	public Boolean update(@NotNull @HttpParam(name = "commonUserInfo", type = HttpParamType.COMMON, description = "用户管理") CommonUserInfo commonUserInfo)throws ServiceException;

	@HttpMethod(description = "查询", permissionName = "用户管理管理")
	public CommonUserInfo get(@NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "")Long id)throws ServiceException;
	
	@HttpMethod(description = "导出excl表",  permissionName = "用户管理管理")
	public String export(
								@HttpParam(name = "nickname", type = HttpParamType.COMMON, description = "昵称") String nickname,
							@HttpParam(name = "password", type = HttpParamType.COMMON, description = "密码") String password,
							@HttpParam(name = "phone", type = HttpParamType.COMMON, description = "手机号") String phone,
							@HttpParam(name = "realname", type = HttpParamType.COMMON, description = "真实姓名") String realname,
							@HttpParam(name = "shareCard", type = HttpParamType.COMMON, description = "允许他人分享名片(1允许)") Long shareCard,
							@HttpParam(name = "lookPage", type = HttpParamType.COMMON, description = "允许圈子成员查看主页(1允许)") Long lookPage,
							@HttpParam(name = "autoAccept", type = HttpParamType.COMMON, description = "自动接受邀请(1是)") Long autoAccept,
							@HttpParam(name = "status", type = HttpParamType.COMMON, description = "0.冻结 1.激活") Long status,
							@HttpParam(name = "gmtCreate", type = HttpParamType.COMMON, description = "") Date gmtCreate,
							@HttpParam(name = "gmtUpdate", type = HttpParamType.COMMON, description = "") Date gmtUpdate,
							@HttpParam(name = "deleteFlag", type = HttpParamType.COMMON, description = "删除标识") Long deleteFlag,
				@HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
	@HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit)throws ServiceException;
	
}
