package com.iotechn.unimall.admin.api.card;


import com.iotechn.unimall.data.domain.SearchRecordsInfo;
import com.iotechn.unimall.core.annotation.HttpMethod;
import com.iotechn.unimall.core.annotation.HttpOpenApi;
import com.iotechn.unimall.core.annotation.HttpParam;
import com.iotechn.unimall.core.annotation.HttpParamType;
import com.iotechn.unimall.core.annotation.param.NotNull;
import com.iotechn.unimall.core.exception.ServiceException;
import com.iotechn.unimall.data.model.Page;
import java.util.Date;

/**
 * 搜索记录Service接口
 * 
 * @author searchRecordsInfo
 * @date 2023-04-10
 */
@HttpOpenApi(group = "admin.unimall.searchRecordsInfo", description = "搜索记录")
public interface ISearchRecordsInfoService{
	@HttpMethod(description = "新增", permissionName = "搜索记录管理")
	public Boolean add(@NotNull @HttpParam(name = "searchRecordsInfo", type = HttpParamType.COMMON, description = "搜索记录") SearchRecordsInfo searchRecordsInfo)throws ServiceException;

	@HttpMethod(description = "列表", permissionName = "搜索记录管理")
	public Page<SearchRecordsInfo> list(
								@HttpParam(name = "commonId", type = HttpParamType.COMMON, description = "个人id") Long commonId,
							@HttpParam(name = "searchContent", type = HttpParamType.COMMON, description = "搜索内容") String searchContent,
							@HttpParam(name = "functionType", type = HttpParamType.COMMON, description = "功能类型") String functionType,
							@HttpParam(name = "gmtCreate", type = HttpParamType.COMMON, description = "") Date gmtCreate,
							@HttpParam(name = "gmtUpdate", type = HttpParamType.COMMON, description = "") Date gmtUpdate,
							@HttpParam(name = "deleteFlag", type = HttpParamType.COMMON, description = "删除标识") Long deleteFlag,
					@HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
		@HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit)
		throws ServiceException;

	@HttpMethod(description = "清空搜索记录",  permissionName = "搜索记录管理")
	public Boolean delete(@NotNull @HttpParam(name = "searchRecordsInfo", type = HttpParamType.COMMON, description = "搜索记录") SearchRecordsInfo searchRecordsInfo)throws ServiceException;

	@HttpMethod(description = "修改",  permissionName = "搜索记录管理")
	public Boolean update(@NotNull @HttpParam(name = "searchRecordsInfo", type = HttpParamType.COMMON, description = "搜索记录") SearchRecordsInfo searchRecordsInfo)throws ServiceException;

	@HttpMethod(description = "查询", permissionName = "搜索记录管理")
	public SearchRecordsInfo get(@NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "")Long id)throws ServiceException;
	
	@HttpMethod(description = "导出excl表",  permissionName = "搜索记录管理")
	public String export(
								@HttpParam(name = "commonId", type = HttpParamType.COMMON, description = "个人id") Long commonId,
							@HttpParam(name = "searchContent", type = HttpParamType.COMMON, description = "搜索内容") String searchContent,
							@HttpParam(name = "functionType", type = HttpParamType.COMMON, description = "功能类型") String functionType,
							@HttpParam(name = "gmtCreate", type = HttpParamType.COMMON, description = "") Date gmtCreate,
							@HttpParam(name = "gmtUpdate", type = HttpParamType.COMMON, description = "") Date gmtUpdate,
							@HttpParam(name = "deleteFlag", type = HttpParamType.COMMON, description = "删除标识") Long deleteFlag,
				@HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
	@HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit)throws ServiceException;
	
}
