package com.iotechn.unimall.app.api.market;


import com.iotechn.unimall.core.annotation.HttpMethod;
import com.iotechn.unimall.core.annotation.HttpOpenApi;
import com.iotechn.unimall.core.annotation.HttpParam;
import com.iotechn.unimall.core.annotation.HttpParamType;
import com.iotechn.unimall.core.annotation.param.NotNull;
import com.iotechn.unimall.core.exception.ServiceException;
import com.iotechn.unimall.data.domain.market.MarketCircleInfo;
import com.iotechn.unimall.data.domain.market.MarketOrderInfo;
import com.iotechn.unimall.data.model.Page;

import java.util.Date;

/**
 * 订单信息Service接口
 *
 * @author jlb
 * @date 2022-08-01
 */
@HttpOpenApi(group = "marketCircleInfoApp", description = "订单信息")
public interface IMarketCircleInfoAppService {
    @HttpMethod(description = "新增")
    public Boolean add(@NotNull @HttpParam(name = "marketCircleInfo", type = HttpParamType.COMMON, description = "生鲜圈") MarketCircleInfo marketCircleInfo,
                       @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "adminId") Long adminId)throws ServiceException;

    @HttpMethod(description = "列表")
    public Page<MarketCircleInfo> list(
            @HttpParam(name = "companyId", type = HttpParamType.COMMON, description = "") Long companyId,
            @HttpParam(name = "shopId", type = HttpParamType.COMMON, description = "店铺id") Long shopId,
            @HttpParam(name = "content", type = HttpParamType.COMMON, description = "内容") String content,
            @HttpParam(name = "region", type = HttpParamType.COMMON, description = "地点") String region,
            @HttpParam(name = "status", type = HttpParamType.COMMON, description = "状态") String status,
            @HttpParam(name = "url", type = HttpParamType.COMMON, description = "附件") String url,
            @HttpParam(name = "deleteFlag", type = HttpParamType.COMMON, description = "0：否（默认） 1：是") Integer deleteFlag,
            @HttpParam(name = "gmtCreate", type = HttpParamType.COMMON, description = "") Date gmtCreate,
            @HttpParam(name = "gmtUpdate", type = HttpParamType.COMMON, description = "") Date gmtUpdate,
            @HttpParam(name = "userId", type = HttpParamType.COMMON, description = "") Long userId,
            @HttpParam(name = "fllowId", type = HttpParamType.COMMON, description = "") Long fllowId,
            @HttpParam(name = "adminId", type = HttpParamType.COMMON, description = "") Long adminId,
            @HttpParam(name = "page", type = HttpParamType.COMMON, description = "页码", valueDef = "1") Integer page,
            @HttpParam(name = "limit", type = HttpParamType.COMMON, description = "页码长度", valueDef = "20") Integer limit)
            throws ServiceException;

    @HttpMethod(description = "删除", permission = "admin:market:marketCircleInfo:delete",permissionParentName = "宠物管理", permissionName = "生鲜圈管理")
    public Boolean delete(@NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "")String id)throws ServiceException;

    @HttpMethod(description = "修改", permission = "admin:market:marketCircleInfo:update",permissionParentName = "宠物管理", permissionName = "生鲜圈管理")
    public Boolean update(@NotNull @HttpParam(name = "marketCircleInfo", type = HttpParamType.COMMON, description = "生鲜圈") MarketCircleInfo marketCircleInfo,
                          @HttpParam(name = "adminId", type = HttpParamType.ADMIN_ID, description = "adminId") Long adminId)throws ServiceException;

    @HttpMethod(description = "查询", permission = "admin:market:marketCircleInfo:get",permissionParentName = "宠物管理", permissionName = "生鲜圈管理")
    public MarketCircleInfo get(@NotNull @HttpParam(name = "id", type = HttpParamType.COMMON, description = "")Long id)throws ServiceException;


}
