package com.iotechn.unimall.data.domain.market;

import com.iotechn.unimall.data.domain.SuperDO;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.enums.FieldFill;
import com.iotechn.unimall.core.util.StringUtils;

/**
 * 关注对象 market_case
 * 
 * @author jlb
 * @date 2023-02-03
 */
@Data
@TableName("market_case")
public class MarketCase extends SuperDO {
    private static final long serialVersionUID = 1L;

    /** 
 */
    @TableId("id")
    private Long id;

    /** 被关注人id */
    @Excel(name = "被关注人id")
    @TableField("concerned_id")
    private String concernedId;

    /** 关注人id */
    @Excel(name = "关注人id")
    @TableField("followers_id")
    private String followersId;

    /**  */
    @Excel(name = "")
    @TableField("admin_id")
    private Long adminId;

    /** 0：否（默认） 1：是 */
    @Excel(name = "0：否", readConverterExp = "默=认")
    @TableField("delete_flag")
    private Integer deleteFlag;
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("concernedId", getConcernedId())
            .append("followersId", getFollowersId())
            .toString();
    }
}
