package com.iotechn.unimall.data.domain.market;

import com.iotechn.unimall.data.domain.SuperDO;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.enums.FieldFill;
import com.iotechn.unimall.core.util.StringUtils;
import java.util.Date;

/**
 * 生鲜圈对象 market_circle_info
 * 
 * @author jlb
 * @date 2023-01-03
 */
@Data
@TableName("market_circle_info")
public class MarketCircleInfo extends SuperDO {
    private static final long serialVersionUID = 1L;

    /**  */
    @TableId("id")
    private Long id;

    /**  */
    @Excel(name = "")
    @TableField("company_id")
    private Long companyId;

    /** 店铺id */
    @Excel(name = "店铺id")
    @TableField("shop_id")
    private Long shopId;

    /** 内容 */
    @Excel(name = "内容")
    @TableField("content")
    private String content;

    /** 状态 */
    @Excel(name = "状态")
    @TableField("status")
    private String status;

    /** 附件 */
    @Excel(name = "附件")
    @TableField("url")
    private String url;

    /** 0：否（默认） 1：是 */
    @Excel(name = "0：否", readConverterExp = "默=认")
    @TableField("delete_flag")
    private Integer deleteFlag;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_create")
    private Date gmtCreate;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_update")
    private Date gmtUpdate;

    /**  */
    @Excel(name = "")
    @TableField("user_id")
    private Long userId;

    /**  */
    @Excel(name = "")
    @TableField("admin_id")
    private Long adminId;

    /**  */
    @Excel(name = "")
    @TableField("region")
    private String region;

    @TableField(exist = false)
    private String shopName;

    @TableField(exist = false)
    private boolean flag;
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("companyId", getCompanyId())
            .append("shopId", getShopId())
            .append("content", getContent())
            .append("status", getStatus())
            .append("url", getUrl())
            .append("deleteFlag", getDeleteFlag())
            .append("gmtCreate", getGmtCreate())
            .append("gmtUpdate", getGmtUpdate())
            .append("userId", getUserId())
            .append("adminId", getAdminId()).append("region", getRegion())
            .toString();
    }
}
